%define upstream_name       X500-DN
%define upstream_version    0.29

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1
Summary:	Parser and formatter for RFC 2253 style DN strings
License: 	Artistic
Group: 		Development/Perl
Url:        http://search.cpan.org/dist/%{module}
Source:     http://www.cpan.org/modules/by-module/Config/%{upstream_name}-%{upstream_version}.tar.gz
Patch:      X500-DN-0.29-fix-parse-recdescent-version-check.patch
BuildRequires:	perl-Parse-RecDescent
BuildArch:	noarch
BuildRoot: 	%{_tmppath}/%{name}-%{version}

%description
This module provides a pure perl parser and formatter for RFC 2253
style DN strings.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 
%patch -p 1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %{buildroot}
%makeinstall_std

# cleanup
rm -f %{buildroot}%{perl_vendorlib}/X500/*.pod

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/X500
%{_mandir}/*/*


%changelog
* Sun Aug 23 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.290.0-1mdv2010.0
+ Revision: 419902
- new perl version macro
- fix Parse::RecDescent version check

* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.29-3mdv2009.0
+ Revision: 242162
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Aug 16 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.29-1mdv2008.0
+ Revision: 64332
- new version


* Fri Nov 17 2006 Oden Eriksson <oeriksson@mandriva.com> 0.28-4mdv2007.0
+ Revision: 85298
- Import perl-X500-DN

* Fri Nov 17 2006 Oden Eriksson <oeriksson@mandriva.com> 0.28-4
- rebuild

* Sat Sep 10 2005 Oden Eriksson <oeriksson@mandriva.com> 0.28-3mdk
- rebuild

* Thu Aug 19 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.28-2mdk
- fix deps

* Sat Apr 17 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.28-1mdk
- initial package

